%define debug_package %{nil}
%if %oraclelinux == 8
%define distro el8
%endif
%if %oraclelinux == 9
%define distro el9
%endif

Name:           oracle-common-release
Version:        1.0
Release:        5%{dist}
Summary:        Oracle Java SE Development Kit (JDK) yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-java-jdk-ol8.repo
Source1:        oracle-java-jdk-ol9.repo
Source2:        oracle-instantclient-23ai-ol8.repo
Source3:        oracle-instantclient-23ai-ol9.repo
Source4:        LICENSE

BuildArch:     x86_64 aarch64

%description
This package contains yum repository configurations for different repositories distributed in Oracle Linux

%package -n oracle-java-jdk-release-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Oracle Java SE Development Kit (JDK) yum repository configuration
Group:   System Environment
%description -n oracle-java-jdk-release-%distro
This package contains the Oracle Java SE Development Kit (JDK) yum repository configuration

%package -n oracle-instantclient-release-23ai-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Oracle Software yum repository configuration
Group:   System Environment
%description -n oracle-instantclient-release-23ai-%distro
This package contains the  Oracle Software yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/oracle-java-jdk-release-%distro/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/oracle-instantclient-release-23ai-%distro/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if %oraclelinux == 8
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif
%if %oraclelinux == 9
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif

install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT%{_datadir}/doc/oracle-java-jdk-release-%distro/
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT%{_datadir}/doc/oracle-instantclient-release-23ai-%distro/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n oracle-java-jdk-release-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/oracle-java-jdk-release-*
%{_datadir}/doc/oracle-java-jdk-release-*/*
%config(noreplace) /etc/yum.repos.d/oracle-java-jdk*.repo

%files -n oracle-instantclient-release-23ai-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/oracle-instantclient-release-23ai-*
%{_datadir}/doc/oracle-instantclient-release-23ai-*/*
%config(noreplace) /etc/yum.repos.d/oracle-instantclient-23ai*.repo


%changelog
* Fri Jan 31 2025 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-5
- Initial release
